﻿@model Tuple<List<ItemMasterView>, int, int>

<div class="row list-group" id="TableItemsGrid">
    <div class="col-xs-6 col-md-6 pull-left">
        @DataTables.Show
        <select id="PageQtyItemsGrid" class="QuantitySelector"><option @(Model.Item3 == 10 ? "selected" : "") value="10">10</option><option @(Model.Item3 == 25 ? "selected" : "") value="25">25</option><option @(Model.Item3 == 50 ? "selected" : "") value="50">50</option></select>
        @DataTables.Entries
    </div>
    <div class="col-xs-6 col-md-6 pull-right no-padding">
        <button id="NextItemsGrid" onclick="mStartItemsGrid = mStartItemsGrid + Number($('#PageQtyItemsGrid').val()); GetItemsGrid();" class="btn btn-success btn-ls pull-right margin-left">Next <span class="glyphicon glyphicon-chevron-right"></span></button>
        <button id="PreviousItemsGrid" onclick="mStartItemsGrid = mStartItemsGrid - Number($('#PageQtyItemsGrid').val()); GetItemsGrid();" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-chevron-left"></span> Previous </button>
        <input type="number" id="TotalQuantityItemsGrid" class="form-control" disabled="disabled" style="display:none;" value="@Model.Item2">
    </div>
    <div class="cuadro_preseason">
        <div class="cuadro_preseason_content">
            <div class="list_products">
                @foreach (ItemMasterView mItems in Model.Item1)
                {
                    <div class="item_preseason">
                        @if (!string.IsNullOrEmpty(mItems.PicturName))
                        {
                            <div class="photo_list">
                                <img class="" src="/images/@mItems.PicturName" alt="">
                            </div>
                        }
                        else
                        {
                            <div class="photo_list">
                                <img class="" src="~/Content/img/noimage.gif" alt="">
                            </div>
                        }
                        <div class="caption">
                            <div class="thumb_data_ampliable">
                                <a href="#" class="open_panel">
                                    <span>@PurchaseOrders.More</span>
                                </a>
                                <div class="panel_info_preseason">
                                    <div class="thumb_data">
                                        <strong>@PurchaseOrders.Code</strong>: @mItems.ItemCode
                                    </div>
                                    <div class="thumb_data">
                                        <strong>@PurchaseOrders.Name</strong>: @mItems.ItemName
                                    </div>
                                    @if (mItems.MappedUdf.Count > 0)
                                    {
                                        foreach (var DictRow in mItems.MappedUdf)
                                        {
                                            @*if (DictRow.ListUFD1.Count > 0)
                                                {
                                                    <div class="row">
                                                        <label class="col-md-2 control-label">@DictRow.UDFName</label>
                                                        <div class="col-md-10">
                                                            @Html.DropDownList(DictRow.UDFName, new SelectList(
                                                                     DictRow.ListUFD1,
                                                                        "FldValue",
                                                                        "Descr", DictRow.Value), new { @Id = "HEADUDF_" + DictRow.UDFName, @Name = DictRow.UDFName, @class = "form-control" })
                                                        </div>
                                                    </div>
                                                }
                                                else
                                                {*@
                                            <div class="thumb_data">
                                                <strong>@DictRow.UDFDesc</strong>: @DictRow.Value
                                            </div>
                                            //}
                                        }
                                    }
                                </div>
                                <div class="preseason_attach">
                                    <div class="preseason_col_50">
                                        <input name="Attach" type="checkbox" value="@mItems.ItemCode">
                                        <span>@PurchaseOrders.SI</span>
                                    </div>

                                    <div class="preseason_col_60">

                                        <div class="thumb_data">
                                            <a href='#'>
                                                @if (mItems.hasStock)
                                            {
                                                    <span class="glyphicon glyphicon-ok" onclick="GetStock('@mItems.ItemCode')"></span>
                                            }
                                            else
                                            {
                                                    <span class="glyphicon glyphicon-remove" onclick="GetStock('@mItems.ItemCode')"></span>
                                            }
                                            </a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                }
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
    $(document).ready(function () {
        $(".open_panel").click(function (e) {
            e.preventDefault();
            $(".panel_info_preseason").toggleClass("open_info_preseason");
            $(".open_panel").toggleClass("menu-open");
        });
        $(".panel_info_preseason").mouseup(function () {
            return false
        });
    });
</script>
